<template>
    <v-container>
        <v-text-field v-model="test" />
        <Recognizer />
        <Learner />
    </v-container>
</template>

<script>
    import Learner from "../learner/Learner";
    import Recognizer from "../recognizer/Recognizer";
    import {TEST} from "../../globals/store";
    export default {
        name: "Main",
        components: {Recognizer, Learner},
        data: () => ({
            tab: null
        }),
        computed: {
            test: {
                get() {
                    return this.$store.state.test;
                },
                set(value) {
                    this.$store.commit(TEST, {testVal: value});
                }
            }
        }
    }
</script>

<style scoped>

</style>